package com.bonus.canteen.core.order.deprecated.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Min;
import java.time.LocalDate;
import java.time.LocalDateTime;

/** @deprecated */
@Deprecated
@TableName("ord_detail")
@ApiModel("订单明细表")
public class OrdDetail extends Model<OrdDetail> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("明细id")
   private Long detailId;
   @ApiModelProperty("商家总订单号")
   private Long totalOrdId;
   @ApiModelProperty("存货id")
   private String inventoryId;
   @ApiModelProperty("平台总订单号")
   private Long leTotalOrdId;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("商家订单号")
   private Long ordId;
   @ApiModelProperty("平台订单号")
   private Long leOrdId;
   @ApiModelProperty("退款订单号")
   private Long refundOrdId;
   @ApiModelProperty("来源类型 如钉钉、小程序等")
   private Integer sourceType;
   @ApiModelProperty("商品明细id")
   private Long goodsDetailId;
   @ApiModelProperty("商品id")
   private Long goodsId;
   @ApiModelProperty("商品名称")
   private String goodsName;
   @ApiModelProperty("商品图片url")
   private String imageUrl;
   @ApiModelProperty("订单日期(区别于下单时间)")
   private LocalDate ordGoodsDate;
   @ApiModelProperty("商品单价 单位为分")
   private @Min(0L) Integer price;
   @TableField(
      exist = false
   )
   @ApiModelProperty("会员价格 单位分")
   private Integer prefPrice;
   @ApiModelProperty("称重单位多少克(默认100g)")
   private Integer unitPrice;
   @ApiModelProperty("数量/重量")
   private @Min(0L) Integer quantity;
   @ApiModelProperty("总额 单位为分")
   private Integer totalAmount;
   @ApiModelProperty("销售方式 1按份,2称重 默认按份")
   private Integer salesMode;
   @ApiModelProperty("计量单位")
   private String unitName;
   @ApiModelProperty("下单时间")
   private LocalDateTime ordTime;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口或店铺id")
   private Long shopstallId;
   @ApiModelProperty("档口名称")
   private String shopstallName;
   @ApiModelProperty("餐次id")
   private Long intervalId;
   @ApiModelProperty("餐次名称")
   private String intervalName;
   @ApiModelProperty("菜谱详情id")
   private Long menuDetailId;
   @ApiModelProperty("退款状态 1-申请退款中 2-退款处理中 3-退款完成")
   private Integer refundState;
   @ApiModelProperty("商品状态 制作中（接单更新成制作中）、配送中、领取、已放入取餐柜、已退、已取消")
   private Integer goodsState;
   @ApiModelProperty("订单状态 接受单、拒绝订单、取消、退款、完成")
   private Integer ordState;
   @ApiModelProperty("明细类别 1-菜品 2-套餐 3-商品")
   private Integer detailType;
   @ApiModelProperty("口味名称")
   private String tasteName;
   @ApiModelProperty("是否打印 1-已打印 2-未打印")
   private Integer ifPrint;
   @ApiModelProperty("是否退菜 1-退菜 2-未退菜")
   private Integer ifRefund;
   @ApiModelProperty("折扣券减免 单位为分")
   private Integer couponReduce;
   @ApiModelProperty("代金券减免 单位为分")
   private Integer voucherReduce;
   @ApiModelProperty("红包减免 单位为分")
   private Integer luckyMoneyReduce;
   @ApiModelProperty("补贴减免 单位为分")
   private Integer subsidyReduce;
   @ApiModelProperty("个人支付 单位为分")
   private Integer personalPay;
   @ApiModelProperty("实际付款金额 单位为分")
   private Integer realAmount;
   @ApiModelProperty("第三方付款金额 单位为分")
   private Integer thirdAmount;
   @ApiModelProperty("第三方支付方式 如微信、支付宝、云闪付")
   private Integer thirdPayType;
   @ApiModelProperty("商品预定数量")
   private Integer goodsSubNum;
   @ApiModelProperty("商品领取数量")
   private Integer goodsGetNum;
   @ApiModelProperty("商品已退数量")
   private Integer goodsRefundNum;
   @ApiModelProperty("退款id")
   private Long refundId;
   @ApiModelProperty("是否删除 1-是，2-否")
   private Integer ifDel;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getTotalOrdId() {
      return this.totalOrdId;
   }

   public String getInventoryId() {
      return this.inventoryId;
   }

   public Long getLeTotalOrdId() {
      return this.leTotalOrdId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public Long getLeOrdId() {
      return this.leOrdId;
   }

   public Long getRefundOrdId() {
      return this.refundOrdId;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public Long getGoodsDetailId() {
      return this.goodsDetailId;
   }

   public Long getGoodsId() {
      return this.goodsId;
   }

   public String getGoodsName() {
      return this.goodsName;
   }

   public String getImageUrl() {
      return this.imageUrl;
   }

   public LocalDate getOrdGoodsDate() {
      return this.ordGoodsDate;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getPrefPrice() {
      return this.prefPrice;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getQuantity() {
      return this.quantity;
   }

   public Integer getTotalAmount() {
      return this.totalAmount;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public LocalDateTime getOrdTime() {
      return this.ordTime;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public String getShopstallName() {
      return this.shopstallName;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public String getIntervalName() {
      return this.intervalName;
   }

   public Long getMenuDetailId() {
      return this.menuDetailId;
   }

   public Integer getRefundState() {
      return this.refundState;
   }

   public Integer getGoodsState() {
      return this.goodsState;
   }

   public Integer getOrdState() {
      return this.ordState;
   }

   public Integer getDetailType() {
      return this.detailType;
   }

   public String getTasteName() {
      return this.tasteName;
   }

   public Integer getIfPrint() {
      return this.ifPrint;
   }

   public Integer getIfRefund() {
      return this.ifRefund;
   }

   public Integer getCouponReduce() {
      return this.couponReduce;
   }

   public Integer getVoucherReduce() {
      return this.voucherReduce;
   }

   public Integer getLuckyMoneyReduce() {
      return this.luckyMoneyReduce;
   }

   public Integer getSubsidyReduce() {
      return this.subsidyReduce;
   }

   public Integer getPersonalPay() {
      return this.personalPay;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public Integer getThirdAmount() {
      return this.thirdAmount;
   }

   public Integer getThirdPayType() {
      return this.thirdPayType;
   }

   public Integer getGoodsSubNum() {
      return this.goodsSubNum;
   }

   public Integer getGoodsGetNum() {
      return this.goodsGetNum;
   }

   public Integer getGoodsRefundNum() {
      return this.goodsRefundNum;
   }

   public Long getRefundId() {
      return this.refundId;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setTotalOrdId(final Long totalOrdId) {
      this.totalOrdId = totalOrdId;
   }

   public void setInventoryId(final String inventoryId) {
      this.inventoryId = inventoryId;
   }

   public void setLeTotalOrdId(final Long leTotalOrdId) {
      this.leTotalOrdId = leTotalOrdId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setLeOrdId(final Long leOrdId) {
      this.leOrdId = leOrdId;
   }

   public void setRefundOrdId(final Long refundOrdId) {
      this.refundOrdId = refundOrdId;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setGoodsDetailId(final Long goodsDetailId) {
      this.goodsDetailId = goodsDetailId;
   }

   public void setGoodsId(final Long goodsId) {
      this.goodsId = goodsId;
   }

   public void setGoodsName(final String goodsName) {
      this.goodsName = goodsName;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setOrdGoodsDate(final LocalDate ordGoodsDate) {
      this.ordGoodsDate = ordGoodsDate;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setPrefPrice(final Integer prefPrice) {
      this.prefPrice = prefPrice;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setQuantity(final Integer quantity) {
      this.quantity = quantity;
   }

   public void setTotalAmount(final Integer totalAmount) {
      this.totalAmount = totalAmount;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setOrdTime(final LocalDateTime ordTime) {
      this.ordTime = ordTime;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setShopstallName(final String shopstallName) {
      this.shopstallName = shopstallName;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setIntervalName(final String intervalName) {
      this.intervalName = intervalName;
   }

   public void setMenuDetailId(final Long menuDetailId) {
      this.menuDetailId = menuDetailId;
   }

   public void setRefundState(final Integer refundState) {
      this.refundState = refundState;
   }

   public void setGoodsState(final Integer goodsState) {
      this.goodsState = goodsState;
   }

   public void setOrdState(final Integer ordState) {
      this.ordState = ordState;
   }

   public void setDetailType(final Integer detailType) {
      this.detailType = detailType;
   }

   public void setTasteName(final String tasteName) {
      this.tasteName = tasteName;
   }

   public void setIfPrint(final Integer ifPrint) {
      this.ifPrint = ifPrint;
   }

   public void setIfRefund(final Integer ifRefund) {
      this.ifRefund = ifRefund;
   }

   public void setCouponReduce(final Integer couponReduce) {
      this.couponReduce = couponReduce;
   }

   public void setVoucherReduce(final Integer voucherReduce) {
      this.voucherReduce = voucherReduce;
   }

   public void setLuckyMoneyReduce(final Integer luckyMoneyReduce) {
      this.luckyMoneyReduce = luckyMoneyReduce;
   }

   public void setSubsidyReduce(final Integer subsidyReduce) {
      this.subsidyReduce = subsidyReduce;
   }

   public void setPersonalPay(final Integer personalPay) {
      this.personalPay = personalPay;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

   public void setThirdAmount(final Integer thirdAmount) {
      this.thirdAmount = thirdAmount;
   }

   public void setThirdPayType(final Integer thirdPayType) {
      this.thirdPayType = thirdPayType;
   }

   public void setGoodsSubNum(final Integer goodsSubNum) {
      this.goodsSubNum = goodsSubNum;
   }

   public void setGoodsGetNum(final Integer goodsGetNum) {
      this.goodsGetNum = goodsGetNum;
   }

   public void setGoodsRefundNum(final Integer goodsRefundNum) {
      this.goodsRefundNum = goodsRefundNum;
   }

   public void setRefundId(final Long refundId) {
      this.refundId = refundId;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
